Android Gradle plugin requires Java 11 to run. You are currently using Java 1.8

I’m trying to use a physical Android device to test/debug my React Native project.

I connected the device to my Windows 11 machine via USB and turned on Developer mode on the device but when I tried to run my project, I got an error stating the following:

Android Gradle plugin requires Java 11 to run. You are currently using
Java 1.8.

I downloaded and installed Java version 11 from this URL: https://jdk.java.net/java-se-ri/11

I then tried to set the version through:
Android Studio > File > Settings > Build, Execution, Deployment > Gradle > Gradle JDK

I also went into Environment Variables on my Windows 11 machine and pointed JAVA_HOME to the folder where Java version 11 is.

But no matter what I do, it doesn’t work. If I run ./gradlew --version under Android folder, I see the following:
Android Gradle plugin requires Java 11 to run. You are currently using Java 1.8

Any suggestions how to handle this and set the correct version of Java for Gradle in my React Native project?

P.S. Even if I try to use the Android simulator on my dev machine, I now get the same error i.e. asking for Java 11. So, at this point, I’m completely unable to run any — even a brand new — React Native project on an Android device or the simulator.

Here is Solutions:

We have many solutions to this problem, But we recommend you to use the first solution because it is tested & true solution that will 100% work for you.

Solution 1

An easier solution might be to set the org.gradle.java.home variable in gradle.properties file.
To do that:

  1. Locate the gradle.properties file in your project directory, create one if it’s not present.
  2. Add the variable like this
org.gradle.java.home = path/to/java11

Remember, no quotation marks in the path. And, point it towards the Java Installation directory, and not the bin folder.

Note: Use and implement solution 1 because this method fully tested our system.
Thank you 🙂

All methods was sourced from stackoverflow.com or stackexchange.com, is licensed under cc by-sa 2.5, cc by-sa 3.0 and cc by-sa 4.0

Leave a Reply